summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChristoph Junghans <ottxor@gentoo.org>2014-05-01 19:27:14 +0000
committerChristoph Junghans <ottxor@gentoo.org>2014-05-01 19:27:14 +0000
commitac762c5be47d3739c1c687618a0908841113f4a9 (patch)
treeedff466c08660b37914efe96e399e3b9454e1490 /eclass/unpacker.eclass
parentBump to 1.26.1 (diff)
downloadgentoo-2-ac762c5be47d3739c1c687618a0908841113f4a9.tar.gz
gentoo-2-ac762c5be47d3739c1c687618a0908841113f4a9.tar.bz2
gentoo-2-ac762c5be47d3739c1c687618a0908841113f4a9.zip
add app-arch/plzip support (bug #509264)
Diffstat (limited to 'eclass/unpacker.eclass')
-rw-r--r--eclass/unpacker.eclass8
1 files changed, 4 insertions, 4 deletions
diff --git a/eclass/unpacker.eclass b/eclass/unpacker.eclass
index 83dddfd16d14..076115f0e111 100644
--- a/eclass/unpacker.eclass
+++ b/eclass/unpacker.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/unpacker.eclass,v 1.16 2014/02/27 00:20:57 ottxor Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/unpacker.eclass,v 1.17 2014/05/01 19:27:14 ottxor Exp $
# @ECLASS: unpacker.eclass
# @MAINTAINER:
@@ -29,7 +29,7 @@ ___ECLASS_ONCE_UNPACKER="recur -_+^+_- spank"
# @DEFAULT_UNSET
# @DESCRIPTION:
# Utility to use to decompress lzip files. Will dynamically pick between
-# `pdlzip` and `lzip`. Make sure your choice accepts the "-dc" options.
+# `plzip`, `pdlzip` and `lzip`. Make sure your choice accepts the "-dc" options.
# Note: this is meant for users to set, not ebuilds.
# for internal use only (unpack_pdv and unpack_makeself)
@@ -352,7 +352,7 @@ _unpacker() {
*.lzma|*.xz|*.txz)
comp="xz -dc" ;;
*.lz)
- : ${UNPACKER_LZIP:=$(type -P pdlzip || type -P lzip)}
+ : ${UNPACKER_LZIP:=$(type -P plzip || type -P pdlzip || type -P lzip)}
comp="${UNPACKER_LZIP} -dc" ;;
*) comp="" ;;
esac
@@ -449,7 +449,7 @@ unpacker_src_uri_depends() {
*.zip)
d="app-arch/unzip" ;;
*.lz)
- d="|| ( app-arch/pdlzip app-arch/lzip )" ;;
+ d="|| ( app-arch/plzip app-arch/pdlzip app-arch/lzip )" ;;
esac
deps+=" ${d}"
done